Bug 536343 - (RHQ-702) Add support for uninventorying/deleting resources from a group
Add support for uninventorying/deleting resources from a group
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: 615499
  Show dependency treegraph
 
Reported: 2008-07-29 12:12 EDT by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 615499 (view as bug list)
Environment:
Last Closed: 2010-08-12 12:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2008-07-29 12:12:00 EDT
It would be handy if it was possible to remove the members of a group from inventory, rather than just remove the members from the group itself. Removal should either be uninventory or deletion, as is done currently on the inventory page for parent resources. Basically I'm thinking of having the group resource act more like parent resources do now.

For example, there could be a webapp which you would like undeployed from all your JBAS servers. Just create a dynagroup, then on the inventory page for that group select the resources you wanted to delete, and delete them.

There are obviously other ways to skin this particular cat, e.g. you can already uninventory arbitrary resources from the Browse Resources page. So you could extend this by having a DELETE button and using the filter box to choose the resources you want to delete. The advantage I guess with the dynagroup approach is that it gives you finer grained control over which resources get selected.
Comment 1 Joseph Marques 2008-07-29 13:08:57 EDT
this makes sense, but a formal dynagroup is probably not needed.  if we wrapped the expressions with a more convenient (dynamic) UI, then we can expose it as on-the-fly or saved searches.  then, the operation can be performed against the results of the search (as opposed to creating a dynagroup, editing expression list, recalculating the group, performing the results against the group, then deleting the group).  
Comment 2 Joseph Marques 2008-07-29 13:10:30 EDT
linking to RHQ-401 which talks about an expression builder, which is a text-oriented form of the dynamic interface i was referring to in my last comment.
Comment 3 Red Hat Bugzilla 2009-11-10 16:15:07 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-702
This bug is related to RHQ-401
Comment 4 Joseph Marques 2010-06-17 14:39:33 EDT
commit 8e64b8dc84e6da52147458a13c970fa07ba774c1
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jun 17 14:35:02 2010 -0400

    BZ-536343: support uninventorying all resources members of a group

-----

There's a new "UNINVENTORY MEMBERS" but on the groups tab of the inventory browser.  select one or more resources, click it, and all members of the selected groups will be uninventoried.
Comment 5 Sunil Kondkar 2010-06-22 08:46:16 EDT
Verified on JON 2.4 GA_QA build

The 'Groups' tab of inventory browser displays the button 'UNINVENTORY MEMBERS'

Selecting one or more resources and clicking on the button 'UNINVENTORY MEMBERS' uninventories members of the selected groups. The UI displays message 'Uninventoried members of selected groups '.
Comment 6 Corey Welton 2010-08-12 12:57:32 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.